Malicious Package

Affecting npm-script-demo package, ALL versions

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

npm-script-demo is a malicious package that would create an outbound connection to an unknown, malicious server.

Remediation

Avoid usage of this package altogether.

CVSS Score

6.3
medium severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Changed
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:N/A:N
Credit
Unknown
CVE
CVE-2017-16128
CWE
CWE-506
Snyk ID
npm:npm-script-demo:20170927
Disclosed
27 Sep, 2017
Published
06 Dec, 2017